IT: OTS (China) - 0 [ Bug #120

Some order attachments cannot be downloaded
05/08/2021 11:31 AM - Zhongbao Ye

Status: oo0 Start date: 05/08/2021
Priority: aa Due date: 05/08/2021
Assignee: Zhongbao Ye % Done: 100%
Category: Estimated time: 2.00 hours
Target version: v3.0 Spent time: 2.00 hours
Description

Task Details

1. When the file name contains special symbols, the file cannot be downloaded
Input

1. Files with special characters in the file name can be downloaded normally
Output

® Report and Solution

Others

History

#1 - 05/08/2021 11:37 AM - Zhongbao Ye
Output(2021/05/08)

order/protected/components/file/FileDownloader.php:37

Solution: header("content-Disposition: attachment; filename="". $fileName); => header('content-Disposition: attachment; filename="". $fileName . ");

#2 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0
